Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.designer
Class SchemeAgentNode

    java.lang.Object
      javax.swing.tree.DefaultMutableTreeNode
          madkit.TreeTools.GenericTreeNode
              madkit.TreeTools.AbstractFileNode
                  madkit.TreeTools.FileNode
                      madkit.designer.EditableFileNode
                          madkit.designer.AgentNode
                              madkit.designer.SchemeAgentNode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode

    public class SchemeAgentNode

extends AgentNode

See Also:
  Serialized Form

Field Summary

Fields inherited from class madkit.TreeTools.FileNode
`fileNodeDescriptor`

Fields inherited from class madkit.TreeTools.AbstractFileNode
`entry, file`

Fields inherited from class javax.swing.tree.DefaultMutableTreeNode
`allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

Constructor Summary
`SchemeAgentNode(AbstractAgent ag, java.io.File file)`

Method Summary
`void` | `execute()`

Methods inherited from class madkit.designer.AgentNode
`buildAgent, getLeafIcon, jedit`

Methods inherited from class madkit.designer.EditableFileNode
`edit, JSynEdit`

Methods inherited from class madkit.TreeTools.FileNode
`getFileNodeDescriptor`

Methods inherited from class madkit.TreeTools.AbstractFileNode
`getEntry, getFile, getNameFromPath, setEntry, setFile`

Methods inherited from class madkit.TreeTools.GenericTreeNode
`getBranchIcon, getDescriptor, setDescriptor`

Methods inherited from class javax.swing.tree.DefaultMutableTreeNode
`add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SchemeAgentNode

    public SchemeAgentNode(AbstractAgent ag,
                           java.io.File file)

Method Detail

### execute

    public void execute()

  Overrides:
    `execute` in class `EditableFileNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.